Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.joone.io
Class URLInputSynapse

    java.lang.Object
      org.joone.engine.Synapse
          org.joone.io.StreamInputSynapse
              org.joone.io.URLInputSynapse

All Implemented Interfaces:
  java.io.Serializable, InputPatternListener, Learnable, LearnableSynapse, NeuralElement, OutputPatternListener, Inspectable, InputSynapse, PlugInListener

    public class URLInputSynapse

extends StreamInputSynapse

Allows data extraction from the internet or a file specified by a Universal Resource Locator or URL.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.joone.io.StreamInputSynapse
`cols, currentRow, EOF, InputVector, plugInListeners, tokens`

Fields inherited from class org.joone.engine.Synapse
`array, b_pattern, bitems, bouts, count, enabled, fwdLock, inps, items, learnable, m_batch, m_pattern, myLearner, notFirstTime, notFirstTimeB, outs, revLock`

Constructor Summary
`URLInputSynapse()` The default constructor for this class.

Method Summary
`java.lang.String` | `getURL()` Gets the URL used to extract input data from.
`protected void` | `initInputStream()` Reads the data from the URL specified in this URLInputSynapse.
`void` | `setURL(java.lang.String newURL)` Sets the URL to extract input data from.

Methods inherited from class org.joone.io.StreamInputSynapse
`addPlugIn, addPlugInListener, backward, check, dataChanged, fireDataChanged, forward, fwdGet, fwdGet, getAdvancedColumnSelector, getAllPlugInListeners, getCurrentRow, getDecimalPoint, getFirstCol, getFirstRow, getInputPatterns, getInputVector, getLastCol, getLastRow, getMaxBufSize, getPlugIn, getStream, getTokens, gotoFirstLine, gotoLine, InspectableTitle, Inspections, isBuffered, isEOF, isStepCounter, numColumns, readAll, readObjectBase, removeAllPlugIns, removePlugInListener, reset, resetInput, revPut, setAdvancedColumnSelector, setArrays, setBuffered, setColList, setDecimalPoint, setDimensions, setEOF, setFirstCol, setFirstRow, setInputPatterns, setLastCol, setLastRow, setMaxBufSize, setPlugin, setPlugIn, setStepCounter, setTokens, writeObjectBase, zeroPattern`

Methods inherited from class org.joone.engine.Synapse
`addNoise, canCountSteps, fwdPut, getFwdLock, getIgnoreBefore, getInputDimension, getLearner, getLearningRate, getMomentum, getMonitor, getName, getOutputDimension, getRevLock, getWeights, init, initLearner, isEnabled, isInputFull, isLoopBack, isOutputFull, randomize, readResolve, revGet, setEnabled, setIgnoreBefore, setInputDimension, setInputFull, setLearningRate, setLoopBack, setMomentum, setMonitor, setName, setOutputDimension, setOutputFull, setWeights`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### URLInputSynapse

    public URLInputSynapse()

  The default constructor for this class.

Method Detail

### getURL

    public java.lang.String getURL()

  Gets the URL used to extract input data from.

  Returns:
    The URL used to extract input data from.

### setURL

    public void setURL(java.lang.String newURL)

  Sets the URL to extract input data from.

  Parameters:
    `newURL` - The new URL used to extract input data from.

### initInputStream

    protected void initInputStream()
                            throws JooneRuntimeException

  Reads the data from the URL specified in this URLInputSynapse.

  Specified by:
    `initInputStream` in class `StreamInputSynapse`
  Throws:
    `JooneRuntimeException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit Feedback to pmarrone@users.sourceforge.net